---
schema_version: "1"
id: 2d0a6194290605d80a6c270659c08ceb6ec404b64d62f2194f6a771266f7e244
title: SCIM API Groups Methods
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/scim-api/docs/groups.md
canonical_url: https://help.tableau.com/v0.0/api/scim-api/en-us/docs/groups.html
source_site: help.tableau.com
content_type: documentation
content_hash: edaf3af485d17e1abac908900181a099744316a3fe0e204329228759c5f9267a
description: Documentation for the Tableau SCIM API
---
# SCIM API Groups Methods

  

Using the Tableau SCIM API’s **Groups methods**, you can perform the following tasks:

- Create a group on the site
- Get a group and list all groups on the site
- Update a group or change a group name on the site, add or remove members from a group
- Delete a group from the site

**Note:** The SCIM API only processes attributes that are required by Tableau Cloud to create, modify, and delete groups. If other attributes are passed, they will be ignored.

### Create Group

Creates a group on the Tableau Cloud site.

#### URI

`POST https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| `pod-id` | First portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| `site-id` | ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |

#### Request Body (JSON)

```
{
    "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
    "displayName": "display-name"
}
```

#### Attribute Values

| Attribute | Description |
| --- | --- |
| `schemas` | (Required) Schema to include in the request body:  
`urn:ietf:params:scim:schemas:core:2.0:Group` |
| `displayName` | Name of the group. |

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`201` - Created.  
`409` - Conflict. Group with the same name already exists.

#### Response Body (JSON)

```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
    ],
    "id": "xx9160d6-4c7f-49a2-98ff-3b57ef9a55xx",
    "meta": {
        "resourceType": "Group"
        },	
    "displayName": "Marketing IT Admins"
}
```

### Get Group

Returns the specified group on the site.

#### URI

`GET https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id`

`GET https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id?attributesfilter=displayName eq 'group-name'`

`GET https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id?excludedAttributes=members`

`GET https://scim.online.tableau.com/pods/*pod-id*/sites/*site-id*/scim/v2/Groups?filter=displayName eq 'group-name'&excludedAttributes=members`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| _`pod-id`_ | First portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| _`site-id`_ | ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |
| _`group-id`_ | ID of the group. To get the group ID, see [List Groups](#list-groups). |
| _`group-name`_ | (Optional) Name of the group to filter on. |

#### Request Body

None

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`200` - OK.  
`404` - Not found. Group with specified group ID does not exist.

#### Response Body (JSON)

**Get group; get group using displayName**

```
{
   "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
    ],
   "id": "xX9b5a7a-bd82-440f-8312-1f955c2bf1xX",
   "meta": {
       "resourceType": "Group"
   },
   "displayName": "Marketing IT Admins",
    "members": [
        {
        "value": "c287204e-d174-4a93-0a8b-0fe61954a07f"
        },
        {
		 "value": "d398314f-d175-5a94-9a7b-1fe61954a07g"
        },
        {
		 "value": "e409425g-d176-6a95-8a8b-2fe61954a07h"
        }
    ]
}
```

**Get group without returning its members**

```
{
   "schemas": [
         "urn:ietf:params:scim:schemas:core:2.0:Group"
    ],
   "id": "xX9b5a7a-bd82-440f-8312-1f955c2bf1xX",
   "meta": {
         "resourceType": "Group"
   },
   "displayName": "Marketing IT Admins"
}
```

**Get group using displayName without returning its members**

```
{
    "schemas": [
         "urn:ietf:params:scim:api:messages:2.0:ListResponse"
    ],
    "totalResults": 1,
    "Resources": [
        {
            "schemas": [
                "urn:ietf:params:scim:schemas:core:2.0:Group"
            ],
            "id": "xX9b5a7a-bd82-440f-8312-1f955c2bf1xX",
            "meta": {
                "resourceType": "Group"
            },
            "displayName": "Marketing IT Admins"
        }
    ],
    "startIndex": 1,
    "itemsPerPage": 1
}
```

### List Groups

Returns groups on the site.

#### URI

`GET https://scim.online.tableau.com/pods/pod-id/sites/*ite-id/scim/v2/Groups`

`GET https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups?excludedAttributes=members`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| `pod-id` | First portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| `site-id` | ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |

#### Request Body

None

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`200` - OK.

#### Response Body (JSON)

**List groups**

```
{
   "schemas": ["urn:ietf:params:scim:api:messages:2.0:ListResponse"],
   "totalResults": 3,
   "Resources": [
       {
           "schemas": [
               "urn:ietf:params:scim:schemas:core:2.0:Group"
           ],
           "id": "fb14b0d7-15dc-4e74-a858-2b5cc0c7eed3",
           "meta": {
               "resourceType": "Group"
           },
           "displayName": "Marketing IT Admins",
		    "members": [
               {
                   "value": "4038f45c-5803-4152-895e-19ab21e2f95e"
               },
               {
                   "value": "4eb80283-f2f1-4d29-bcca-9f210c2fa28b"
               },
               {
                   "value": "95a9af2d-181d-40cf-903a-b7bab4b57d33"
               }		
            ]
       },
       {
           "schemas": [
               "urn:ietf:params:scim:schemas:core:2.0:Group"
           ],
           "id": "63d30972-641e-4c95-b0b6-3c024757b09a",
           "meta": {
               "resourceType": "Group"
           },
           "displayName": "Marketing",
            "members": [
               {
                   "value": "b8fe3a96-1fe8-467f-8281-93811132a4b1"
               },
               {
                   "value": "3a5e3800-e297-4965-9cae-cd7c426eb386"
               },
               {
                   "value": "ef011105-4a74-49f5-bcfc-9c76187681f9"
               },
               {
                   "value": "0fb8c9f6-e50f-4456-9ac2-384f46d9d894"
               },
               {
                   "value": "617183fe-2c1e-41ec-923c-eb16bce250c5"
               },
               {
                   "value": "80c0246e-2a01-4add-a3ff-d460ad0e148c"
               },
               {
                   "value": "32c845a9-ab44-42b3-aa3d-028e28bd1d76"
               }
            ]
       },
       {
           "schemas": [
               "urn:ietf:params:scim:schemas:core:2.0:Group"
           ],
           "id": "06791e6e-c458-4b3b-9b1b-113a96140569",
           "meta": {
               "resourceType": "Group"
           },
           "displayName": "All Users",
		    "members": [
               {
                   "value": "4038f45c-5803-4152-895e-19ab21e2f95e"
               },
               {
                   "value": "4eb80283-f2f1-4d29-bcca-9f210c2fa28b"
               },
               {
                   "value": "95a9af2d-181d-40cf-903a-b7bab4b57d33"
               },
	       {
                   "value": "b8fe3a96-1fe8-467f-8281-93811132a4b1"
               },
               {
                   "value": "3a5e3800-e297-4965-9cae-cd7c426eb386"
               },
               {
                   "value": "ef011105-4a74-49f5-bcfc-9c76187681f9"
               },
               {
                   "value": "0fb8c9f6-e50f-4456-9ac2-384f46d9d894"
               },
               {
                   "value": "617183fe-2c1e-41ec-923c-eb16bce250c5"
               },
               {
                   "value": "80c0246e-2a01-4add-a3ff-d460ad0e148c"
               },
               {
                   "value": "32c845a9-ab44-42b3-aa3d-028e28bd1d76"
               }
            ] 
       }  
   ],
   "startIndex": 1,
   "itemsPerPage": 25
}
```

**List groups without returning its members**

```
{
   "schemas": [
       "urn:ietf:params:scim:api:messages:2.0:ListResponse"
   ],
   "totalResults": 51,
   "Resources": [
        {
           "schemas": [
               "urn:ietf:params:scim:schemas:core:2.0:Group"
           ],
           "id": "fb14b0d7-15dc-4e74-a858-2b5cc0c7eed3",
           "meta": {
               "resourceType": "Group"
           },
           "displayName": "Marketing Contractors"
       },
       {
           "schemas": [
               "urn:ietf:params:scim:schemas:core:2.0:Group"
           ],
           "id": "63d30972-641e-4c95-b0b6-3c024757b09a",
           "meta": {
               "resourceType": "Group"
           },
           "displayName": "Marketing Fulltime"
       }
   ],
   "startIndex": 1,
   "itemsPerPage": 25
}
```

### Update Group

Modifies the group.

Depending on your identity provider (IdP), you might use the [Change Group Name](#change-group-name), [Add Group Members](#add-group-members), and [Remove Group Members](#remove-group-members) methods to update the group instead.

#### URI

`PUT https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| `pod-id` | First portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| `site-id` | ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |
| `group-id` | ID of the group to update. To get the group ID, see [List Groups](#list-groups). |

#### Request Body (JSON)

```
{
    "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group",
        "urn:ietf:params:scim:schemas:extension:tableau:3.0"
    ],
    "displayName": "group-name",
    "members": [
        {
            "value": "user-id",
            "display": "username"
        }
    ],
    "minimumSiteRole": "site-role"
}
```

#### Attribute Values

| Attribute | Description |
| --- | --- |
| `schemas` | (Required) Schemas to include in the request body:  
`urn:ietf:params:scim:schemas:core:2.0:Group`  
`urn:ietf:params:scim:schemas:extension:tableau:3.0` |
| `displayName` | New name of the group. |
| `value` | ID of the user to add to or remove from the group. |
| `display` | Claim for retrieving the user’s username. Claim value is `username`. |
| `minimumSiteRole` | Role to assign the user.  
  
You can assign one of the following roles. Role values are case sensitive.  
`Creator`  
`Explorer`  
`ExplorerCanPublish`  
`SiteAdministratorExplorer`  
`SiteAdministratorCreator`  
`Unlicensed`  
`Viewer` |

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`204` - No content.  
`404` - Not found. Group with specified group ID does not exist.

#### Response Body

None

### Delete Group

Permanently removes a group from the site.

#### URI

`DELETE https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| `pod-id` | First portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| `site-id` | ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |
| `group-id` | ID of the group to delete. To get the group ID, see [List Groups](#list-groups). |

#### Request Body

None

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`204` - No content.  
`404` - Not found. Group with the group ID does not exist.

#### Request Body

None

### Change Group Name

Modifies the group by changing the name.

Depending on your identity provider (IdP), you might use the [Update Group](#update-group) method to change the name of the group instead.

#### URI

`PATCH https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| `pod-id` | The first portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| `site-id` | The ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |
| `group-id` | The ID of the group to update. To get the group ID, see [List Groups](#list-groups). |

#### Request Body (JSON)

```
{
   "schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
   "operations":[
{
       "op":"replace",
       "value":{
           "id":"group-id",
           "displayName":"group-name"
      		 }
  	 }
    ]
}
```

#### Attribute Values

| Attribute | Description |
| --- | --- |
| `schema` | (Required) Schema to include in the request body:  
`urn:ietf:params:scim:api:messages:2.0:PatchOp` |
| `op` | (Required) Operation type to specify: `replace`. |
| `id` | ID of the group to update. To get the group ID, see [List Groups](#list-groups). |
| `displayName` | New name of the group. |

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`204` - No content.  
`400` - Bad request. Operation type is not valid.

#### Response Body

None

### Add Group Members

Modifies the group by adding one or more users to the group.

Depending on your identity provider (IdP), you might use the [Update Group](#update-group) method to add users to a group instead.

#### URI

`PATCH https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| `pod-id` | The first portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| `site-id` | The ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |
| `group-id` | The ID of the group to update. To get the group ID, see [List Groups](#list-groups). |

#### Request Body (JSON)

**Update group by adding a member**

```
{
    "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
    "operations": [
        {
            "op": "add",
            "path": "members",
            "value": [
                {
                    "value": "user-id"
                }
            ]
        }
    ]
}
```

**Update group by adding multiple members**

```
{
    "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
    "operations": [
        {
            "op": "add",
            "path": "members",
            "value": [
                {
                    "value": "user-id",
                    "value": "user-id",
                    "value": "user-id"
                }
            ]
        }
    ]
}
```

#### Attribute Values

| Attribute | Description |   |
| --- | --- | --- |
|   | `schemas` | (Required) Schema to include in the request body:  
`urn:ietf:params:scim:api:messages:2.0:PatchOp` |
|   | `op` | (Required) Operation type to specify: `add` |
|   | `path` | (Required) Path value to include in the request body: `members` |
|   | `value` | ID of the user to add to the group. To get the user ID, see [List Users](/v0.0/api/scim-api/en-us/docs/users.html#list-users). |

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`204` - No content.  
`400` - Bad request. Operation type is not valid.  
`404` - Not found. Group with specified group ID does not exist.

#### Response Body

None

### Remove Group Members

Remove one or all users from the group.

Depending on your identity provider (IdP), you might use the [Update Group](#update-group) method to remove users from a group instead.

#### URI

`PATCH https://scim.online.tableau.com/pods/pod-id/sites/site-id/scim/v2/Groups/group-id`

#### Parameter Values

| Parameter | Description |
| --- | --- |
| `pod-id` | The first portion of a Tableau Cloud site’s URL. For example, if a site’s URL is prod-ca-a.online.tableau.com, the pod ID is `prod-ca-a`. |
| `site-id` | The ID of the site. The site ID is included in the response of a successful [Sign In request](/v0.0/api/scim-api/en-us/docs/authentication.html#step-2-make-a-sign-in-request). |
| `group-id` | The ID of the group to update. To get the group ID, see [List Groups](#list-groups). |

#### Request Body (JSON)

**Update group by removing a member**

```
{
    "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
    "Operations": [
        {
            "op": "remove",
            "path": "members",
            "value": [
                {
                    "value": "user-id"
                }
            ]
        }
    ]
}
```

**Update group by removing all members**

```
{
    "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
    "Operations": [
        {
            "op": "replace",
            "path": "members",
            "value": []
        }
    ]
}
```

#### Attribute Values

| Attribute | Description |
| --- | --- |
| `schemas` | (Required) Schema to include in the request body:  
`urn:ietf:params:scim:api:messages:2.0:PatchOp` |
| `op` | (Required) Operation type to specify, depending on the type of update: `remove` or `replace` |
| `path` | (Required) Path value to include in the request body: `members` |
| `value` | ID of the user to remove from the group. To get the user ID, see [List Users](/v0.0/api/scim-api/en-us/docs/users.html#list-users). |

#### Permissions

This method can only be called by Tableau Cloud site admins.

#### Response Code

`204` - No content.  
`400` - Bad request. Operation type is not valid.  
`404` - Not found. Group with specified group ID does not exist.

#### Response Body

None